统计 - 查询退货分析
POST
/basicOpen/salesAnalysis/returnOrder/analysisLists支持统计-查询退货分析
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/salesAnalysis/returnOrder/analysisLists | HTTPS | POST | 1 |
请求参数
endDatestringlengthintegeroffsetintegerstartDatestringasinTypestringdateTypeintegermidsarray<any>principalUidarray<any>searchFieldstringsearchValuearray<any>sortFieldstringsortTypestringstoreIdarray<any>请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/salesAnalysis/returnOrder/analysisLists?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"endDate": "2024-11-12",
"length": 20,
"offset": 0,
"startDate": "2024-11-01",
"asinType": "msku",
"dateType": 0,
"mids": [1,2,3],
"principalUid": [1234567890,9876543210],
"searchField": "msku",
"searchValue": ["TEST-SKU-001","TEST-SKU-002"],
"sortField": "curReturnGoodsCount",
"sortType": "DESC",
"storeId": [123456789012345]
}'
返回结果
Json Object
codeinteger必填dataobject必填隐藏子属性
recordsarray<object>必填隐藏子属性
asinsListarray<object>必填隐藏子属性
asinstring必填asinUrlstring必填curReturnGoodsCountinteger必填curReturnGoodsCountDistributionobject必填隐藏子属性
fbaQuantityinteger必填fbmQuantityinteger必填curReturnGoodsItemsinteger必填curReturnGoodsItemsDistributionobject必填隐藏子属性
fbaQuantityinteger必填fbmQuantityinteger必填curReturnGoodsVolumeRatiostring必填curVolumeinteger必填eventDatestringfnskuInfoListarray<object>必填隐藏子属性
fnskustring必填mskustring必填infoDTOListarray<object>必填隐藏子属性
asinstring必填asinUrlstring必填bidinteger必填brandTitlestring必填categoryTitlestring必填cidstring必填countrystring必填fnskustring必填fulfillmentChannelstring必填localNamestring必填localSkustring必填mskustring必填sellerNamestring必填sidinteger必填smallImageUrlstring必填spustring必填spuNamestring必填isParentstring必填localSkuInfoListarray<object>必填隐藏子属性
localNamestring必填localSkustring必填mostCommonReturnReasonBucketstringmskustring必填ncxCountintegerncxRatestringorderCountintegerparentAsinsListarray<any>必填pcxHealthstringpreReturnGoodsCountinteger必填preReturnGoodsItemsinteger必填preReturnGoodsVolumeRatiostring必填preVolumeinteger必填returnBadgestringreturnGoodsCountRatiostring必填returnGoodsVolumeRatioDiffstring必填selFnskuSkuInfoListarray<object>必填隐藏子属性
countrystring必填fnskustring必填localNamestring必填localSkustring必填mskustring必填sellerNamestring必填sidinteger必填selfnskuInfoListarray<object>必填隐藏子属性
countrystring必填fnskustring必填mskustring必填sellerNamestring必填sidinteger必填sellerInfoListarray<object>必填隐藏子属性
countrystring必填sellerNamestring必填sidinteger必填sidinteger必填spuInfoListarray<object>必填隐藏子属性
spustring必填spuNamestring必填totalinteger必填error_detailsarray<any>必填messagestring必填request_idstring必填response_timestring必填totalinteger必填返回成功示例
{
"code": 0,
"data": {
"records": [
{
"asinsList": [
{
"asin": "B08XYZ123AB",
"asinUrl": ""
}
],
"curReturnGoodsCount": 30,
"curReturnGoodsCountDistribution": {
"fbaQuantity": 25,
"fbmQuantity": 5
},
"curReturnGoodsItems": 20,
"curReturnGoodsItemsDistribution": {
"fbaQuantity": 15,
"fbmQuantity": 5
},
"curReturnGoodsVolumeRatio": "5.00%",
"curVolume": 600,
"eventDate": "2024-06-10",
"fnskuInfoList": [
{
"fnsku": "X001ABC123",
"msku": "TEST-MSKU-001"
}
],
"infoDTOList": [
{
"asin": "B08XYZ123AB",
"asinUrl": "",
"bid": 9876543210,
"brandTitle": "MyBrand",
"categoryTitle": "服装",
"cid": "12345",
"country": "US",
"fnsku": "X001ABC123",
"fulfillmentChannel": "FBA",
"localName": "男士圆领T恤",
"localSku": "LOCAL-SKU-001",
"msku": "TEST-MSKU-001",
"sellerName": "MyAmazonStore",
"sid": 1234567890,
"smallImageUrl": "",
"spu": "SPU-2024-001",
"spuName": "夏季T恤系列"
}
],
"isParent": "1",
"localSkuInfoList": [
{
"localName": "男士圆领T恤",
"localSku": "LOCAL-SKU-001"
}
],
"mostCommonReturnReasonBucket": "产品质量问题",
"msku": "TEST-MSKU-001",
"ncxCount": 7,
"ncxRate": "3.50%",
"orderCount": 200,
"parentAsinsList": "[\"B08XYZABC1\",\"B09ABCXYZ2\"]",
"pcxHealth": "Good",
"preReturnGoodsCount": 25,
"preReturnGoodsItems": 15,
"preReturnGoodsVolumeRatio": "5.00%",
"preVolume": 500,
"returnBadge": "高退货率",
"returnGoodsCountRatio": "20.00%",
"returnGoodsVolumeRatioDiff": "1.50%",
"selFnskuSkuInfoList": [
{
"country": "US",
"fnsku": "X001ABC123",
"localName": "男士圆领T恤",
"localSku": "LOCAL-SKU-001",
"msku": "TEST-MSKU-001",
"sellerName": "MyAmazonStore",
"sid": 1234567890
}
],
"selfnskuInfoList": [
{
"country": "US",
"fnsku": "X001ABC123",
"msku": "TEST-MSKU-001",
"sellerName": "MyAmazonStore",
"sid": 1234567890
}
],
"sellerInfoList": [
{
"country": "US",
"sellerName": "MyAmazonStore",
"sid": 1234567890
}
],
"sid": 1234567890,
"spuInfoList": [
{
"spu": "SPU-2024-001",
"spuName": "夏季T恤系列"
}
]
}
],
"total": 100
},
"error_details": [],
"message": "value",
"request_id": "value",
"response_time": "value",
"total": 0
}